Redmine - Defect #37134

Docker image 5.0.1 fails.
2022-05-18 17:03 - Darksidds Darksidds

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 5.0.1
Description

I'm working with hitps://hub.docker.com/_/redmine images.

docker pull redmine:5.0.1
Unfortunately, this image doesn't work with the following error. Viewing the error: docker logs <container_name>

Your Gemfile lists the gem puma (>= 0) more than once.

You should probably keep only one of them.

Remove any duplicate entries and specify the gem only once.

While it's not a problem now, it could cause errors if you change the version of one of them later

The Gemfile's dependencies are satisfied

rake aborted!

failed to get urandom
/usr/local/bundle/gems/activesupport-6.1.6/1lib/active_support.rb:26:in "require'
/usr/local/bundle/gems/activesupport-6.1.6/1lib/active_support.rb:26:in “~<top (required)>"'
/usr/local/bundle/gems/railties-6.1.6/1lib/rails.rb:7:in ‘require'
/usr/local/bundle/gems/railties-6.1.6/1ib/rails.rb:7:in "<top (required)>"'
/usr/src/redmine/config/application.rb:5:in “require'
/usr/src/redmine/config/application.rb:5:in “<top (required)>'
<internal:/usr/local/lib/ruby/3.1.0/rubygems/core_ext/kernel_require.rb>:85:in 'require'
<internal:/usr/local/lib/ruby/3.1.0/rubygems/core_ext/kernel_require.rb>:85:in 'require'
/usr/src/redmine/Rakefile:5:in “<top (required)>'

(See full trace by running task with --trace)

Do you support these images? How to fix the problem?

History

#1 - 2022-05-19 01:40 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Invalid

Unfortunately, the Docker image is not maintained by us and has nothing to do with www.redmine.org. Please report the issue to
https://github.com/docker-library/redmine/issues.

#2 - 2022-05-19 14:18 - Darksidds Darksidds
Go MAEDA wrote:

Unfortunately, the Docker image is not maintained by us and has nothing to do with www.redmine.org. Please report the issue to
https:/github.com/docker-library/redmine/issues.

Thanks!
